//www.elegoo.com
//2016.12.12

#include "Stepper.h"
#include "IRremote.h"

/*----- Variables, Pins -----*/
#define STEPS  32   // Number of steps per revolution of Internal shaft
long  Steps2Take;  // 2048 = 1 Revolution
int receiver = 12; // Signal Pin of IR receiver to Arduino Digital Pin 6
String data1 ="0";
String data2 ="0";
/*-----( Declare objects )-----*/
// Setup of proper sequencing for Motor Driver Pins
// In1, In2, In3, In4 in the sequence 1-3-2-4

Stepper small_stepper(STEPS, 8, 10, 9, 11);
IRrecv irrecv(receiver);    // create instance of 'irrecv'
decode_results results;     // create instance of 'decode_results'
int pcpower = 6;//the pin of the active pcpower
int amppower = 7;//the pin of the active amppower
void setup()
{ 
  irrecv.enableIRIn(); // Start the receiver
  pinMode(pcpower,OUTPUT);//initialize the pcpower pin as an output
  pinMode(amppower,OUTPUT);//initialize the amppower pin as an output
}

void loop()
{
if (irrecv.decode(&results)) // have we received an IR signal?

  {
    switch(results.value)

    {

      case 0xFFA857: // VOL- button pressed
                      if (data1=="0"){
                      digitalWrite(amppower,LOW); 
                      small_stepper.setSpeed(1000); //Max seems to be 500
                      Steps2Take  =  24576;  // Rotate CW
                      small_stepper.step(Steps2Take);
                      small_stepper.step(Steps2Take);
                      Steps2Take  =  20480;  // Rotate CW
                      small_stepper.step(Steps2Take);
                      delay(500); 
                      data1="1";
                      data2="0";
                      }
                      break;
      case 0xFF629D: // VOL+ button pressed
                      if (data2=="0"){
                      digitalWrite(amppower,HIGH); 
                      small_stepper.setSpeed(1000);
                      Steps2Take  =  -24576;  // Rotate CCW
                      small_stepper.step(Steps2Take);
                      small_stepper.step(Steps2Take);
                      Steps2Take  =  -20480;  // Rotate CW
                      small_stepper.step(Steps2Take);
                      delay(500); 
                      data1="0";
                      data2="1";
                      }
                      break;
      case 0xFF02FD: // PAUSE button pressed
                     
                      break;
      case 0xFFA25D: // POWER button pressed
                    digitalWrite(pcpower,HIGH);               
                    delay(1000); 
                    digitalWrite(pcpower,LOW);   
                    break;
    }
    
      irrecv.resume(); // receive the next value
                 digitalWrite(8, LOW);
                 digitalWrite(9, LOW);
                 digitalWrite(10, LOW);
                 digitalWrite(11, LOW);       
  }  


}/* --end main loop -- */
